Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233415 - [kn_IN] GSUB's combinaing with additional dependent vowel are not rendering correctly
Summary: [kn_IN] GSUB's combinaing with additional dependent vowel are not rendering c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-indic
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 10:32 UTC by Parag Nemade
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-30 06:35:44 UTC


Attachments (Terms of Use)
Incorrect rendering (deleted)
2007-03-22 10:38 UTC, Parag Nemade
no flags Details
correct rendering (deleted)
2007-03-22 10:38 UTC, Parag Nemade
no flags Details
Patch for fixing this bug (deleted)
2007-03-22 10:53 UTC, Parag Nemade
no flags Details | Diff
Verified Image (deleted)
2007-04-30 06:30 UTC, A S Alam
no flags Details

Description Parag Nemade 2007-03-22 10:32:19 UTC
Description of problem:
Following rules are missing from font file
U0C95_U0CCD_U0CB7_U0CCA.akhn
U0C9C_U0CCD_U0C9E_U0CCA.akhn
U0CA6_U0CCD_U0CA6_U0CCA.akhn
U0CB2_U0CCD_U0CB2_U0CCA.akhn

Version-Release number of selected component (if applicable):
fonts-kannada-2.1.4-1.fc7

How reproducible:
always

Steps to Reproduce:
1. start gedit and Enable SCIM, Choose RAW UNICODE
2. Type above ligature rules one by one
3. check out its rendering
  
Actual results:
Not rendering properly as no rules written in font file but Glyphs are present.

Expected results:
All above rules should display combinations correctly

Additional info:

Comment 1 Parag Nemade 2007-03-22 10:38:11 UTC
Created attachment 150648 [details]
Incorrect rendering

Comment 2 Parag Nemade 2007-03-22 10:38:52 UTC
Created attachment 150649 [details]
correct rendering

Comment 3 Parag Nemade 2007-03-22 10:53:11 UTC
Created attachment 150650 [details]
Patch for fixing this bug

Comment 4 Parag Nemade 2007-03-27 03:49:49 UTC
Fix is now built in fonts-kannada-2.1.5-1.fc7

Comment 5 A S Alam 2007-04-30 06:30:13 UTC
Created attachment 153765 [details]
Verified Image

Comment 6 A S Alam 2007-04-30 06:35:44 UTC
CLOSE:
it is verified with following package:
fonts-kannada-2.1.5-1.fc7


Note You need to log in before you can comment on or make changes to this bug.